# Delete environment

`DELETE /v1/projects/{project}/environments/{environment}`, operation `environments.DeleteEnvironment`

Deletes an environment and its disk, with everything on it. The environment is DELETING until both are gone, and then is not found.

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `project` | path | Yes | `string` | The project's ID. |
| `environment` | path | Yes | `string` | The environment's ID. |

## Responses

### 204

No Content

### default

Error

Base URL: `https://api.kosem.ai`. See [API conventions](https://docs.kosem.ai/reference/api-conventions.md) for authentication, pagination and errors, and [https://docs.kosem.ai/openapi.yaml](https://docs.kosem.ai/openapi.yaml) for the full OpenAPI document.